import { create } from "zustand";

interface CodeEditorState {
  lang: string;
  path: string;
  theme: string;
  value: string;
  isLigature: boolean;
  setLang: (lang: string) => void;
  setPath: (path: string) => void;
  setTheme: (theme: string) => void;
  setValue: (value: string) => void;
  setIsLigature: (isLigature: boolean) => void;
}

export const useCodeEditorStore = create<CodeEditorState>((set) => ({
  lang: "c",
  path: "",
  theme: "one-dark-pro",
  value: "",
  isLigature: false,
  setLang: (lang) => set({ lang }),
  setPath: (path) => set({ path }),
  setTheme: (theme) => set({ theme }),
  setValue: (value) => set({ value }),
  setIsLigature: (isLigature) => set({ isLigature }),
}));
